# ExecResult

interface ExecResult

Represents the result of running an external process.

## Functions

assertNormalExitValue
Link copied to clipboard
abstract fun assertNormalExitValue(): ExecResult
Throws a ProcessExecutionException if the process exited with a non-zero exit value.
getExitValue
Link copied to clipboard
abstract fun getExitValue(): Int
Returns the exit value of the process.
rethrowFailure
Link copied to clipboard
abstract fun rethrowFailure(): ExecResult
Re-throws any failure executing this process.